summaryrefslogtreecommitdiffstats
path: root/development/vscodium
diff options
context:
space:
mode:
Diffstat (limited to 'development/vscodium')
-rw-r--r--development/vscodium/README7
-rw-r--r--development/vscodium/doinst.sh13
-rw-r--r--development/vscodium/slack-desc19
-rw-r--r--development/vscodium/vscodium.SlackBuild97
-rw-r--r--development/vscodium/vscodium.desktop6
-rw-r--r--development/vscodium/vscodium.info10
6 files changed, 152 insertions, 0 deletions
diff --git a/development/vscodium/README b/development/vscodium/README
new file mode 100644
index 0000000000..c53096d4f2
--- /dev/null
+++ b/development/vscodium/README
@@ -0,0 +1,7 @@
+Free and open source binary release of VSCode without Microsoft's
+branding, telemetry and license.
+
+If you cannot or do not want to build VSCode from source and you need a
+clean binary then VSCodium is for you.
+
+NOTE: The 32bit release stops at version 1.35.1
diff --git a/development/vscodium/doinst.sh b/development/vscodium/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/development/vscodium/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/vscodium/slack-desc b/development/vscodium/slack-desc
new file mode 100644
index 0000000000..618bb35f60
--- /dev/null
+++ b/development/vscodium/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vscodium: vscodium (Visual Studio Code FOSS Binary Release)
+vscodium:
+vscodium: Free and open source binary release of VSCode without Microsoft's
+vscodium: branding, telemetry and license.
+vscodium:
+vscodium: Homepage: https://vscodium.com/
+vscodium:
+vscodium:
+vscodium:
+vscodium:
+vscodium:
diff --git a/development/vscodium/vscodium.SlackBuild b/development/vscodium/vscodium.SlackBuild
new file mode 100644
index 0000000000..1ae7f45ffc
--- /dev/null
+++ b/development/vscodium/vscodium.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/bash
+
+# Slackware build script for vscodium
+
+# Copyright 2022-2023 rc-05 <rc_o5@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=vscodium
+VERSION=${VERSION:-1.79.0.23159}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+# Bail out when building the Slackbuild on non-x86_64 arch.
+if [ "$ARCH" != "x86_64" ]; then
+ echo "Unsupported on $ARCH: last version available is 1.35.2"
+ exit -1
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+# Creates a directory to extract the files into a suitable directory as the
+# original archive doesn't contain a directory.
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/VSCodium-linux-x64-$VERSION.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM $PKG/usr/bin
+mv * $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/share/icons/hicolor/1024x1024/apps
+cp $PKG/opt/$PRGNAM/resources/app/resources/linux/code.png $PKG/usr/share/icons/hicolor/1024x1024/apps
+
+cd $PKG/usr/bin
+ln -s ../../opt/$PRGNAM/bin/codium .
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/vscodium/vscodium.desktop b/development/vscodium/vscodium.desktop
new file mode 100644
index 0000000000..3659cc54de
--- /dev/null
+++ b/development/vscodium/vscodium.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=VSCodium
+Exec=/usr/bin/codium
+Icon=/usr/share/icons/hicolor/1024x1024/apps/code.png
+Type=Application
+Categories=Development;
diff --git a/development/vscodium/vscodium.info b/development/vscodium/vscodium.info
new file mode 100644
index 0000000000..34930bdef7
--- /dev/null
+++ b/development/vscodium/vscodium.info
@@ -0,0 +1,10 @@
+PRGNAM="vscodium"
+VERSION="1.79.0.23159"
+HOMEPAGE="https://vscodium.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/VSCodium/vscodium/releases/download/1.79.0.23159/VSCodium-linux-x64-1.79.0.23159.tar.gz"
+MD5SUM_x86_64="e1de145b481d45909d486bcbd26d90de"
+REQUIRES=""
+MAINTAINER="rc-05"
+EMAIL="rc_o5@protonmail.com"